Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xsql
Class XSQLDatasourceConnectionManager

    java.lang.Object
      |
      +--oracle.xml.xsql.XSQLDatasourceConnectionManager

All Implemented Interfaces:
  XSQLConnectionManager, XSQLConnectionManagerFactory

public class XSQLDatasourceConnectionManager
extends java.lang.Object
implements XSQLConnectionManager, XSQLConnectionManagerFactory

Generic implementation of XSQLConnectionManager that uses JNDI to lookup a JDBC datasource from the container in which the XSQL servlet is running.

Constructor Summary
`XSQLDatasourceConnectionManager()`

Method Summary
`XSQLConnectionManager` | `create()` Needed to implement XSQLConnectionManagerFactory interface
`XSQLConnection` | `getConnection(java.lang.String connName, XSQLPageRequest env)` Needed to implement XSQLConnectionManager interface
`void` | `releaseConnection(XSQLConnection theConn, XSQLPageRequest env)` Needed to implement XSQLConnectionManager interface
`protected XSQLConnection` | `wrapConnection(java.sql.Connection conn, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLDatasourceConnectionManager

    public XSQLDatasourceConnectionManager()

Method Detail

### getConnection

    public XSQLConnection getConnection(java.lang.String connName,
    XSQLPageRequest env)
                                 throws java.sql.SQLException

  Needed to implement XSQLConnectionManager interface
  Specified by:
    `getConnection` in interface `XSQLConnectionManager`
    `java.sql.SQLException`

### wrapConnection

    protected XSQLConnection wrapConnection(java.sql.Connection conn,
                                            java.lang.String name)

### releaseConnection

    public void releaseConnection(XSQLConnection theConn,
    XSQLPageRequest env)

  Needed to implement XSQLConnectionManager interface
  Specified by:
    `releaseConnection` in interface `XSQLConnectionManager`

### create

    public XSQLConnectionManager create()

  Needed to implement XSQLConnectionManagerFactory interface
  Specified by:
    `create` in interface `XSQLConnectionManagerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.